- entityDefinitions:
  - IDM_Product__get__Calculated_Description: '{94ee3159-20b4-4faf-8f21-02293ad2552d}'
  - IDMB_Product__get__Calculated_Description: '{a1f36e18-0c69-4518-bad3-4617701e7031}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - buildAttributeMethod: '&IDM_Product__get__Calculated_Description;'
    forClassId: '&IDC_Product;'
    verb: 'get'
    name: 'Calculated Description'
    accessModifierId: '&IDI_AccessModifier_Public;'
    initialValue: ''
    returnsAttributeId: '&IDA_Value;'
    buildsWithAttributes:
    - order: a
      executes: '&IDMB_Product__get__Product_Code;' # 123456
    - order: b
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: c
      executes: '&IDMB_Product__get__Manufacturer_Name;' # Paper Mate
    - order: d
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: e
      executes: '&IDMB_Product__get__Brand_Name;' # FlexGrip Ultra
    - order: f
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: g
      executes: '&IDMB_Product__get__Product_Style_Name;' # Retractable
    - order: h
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: i
      executes: '&IDMB_Product__get__Product_Color_Name;' # Blue
    - order: j
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: k
      executes: '&IDMB_Product__get__Product_Type_Name;' # Ballpoint Pen
    - order: l
      executes: '&IDMB_Common_Text__get__Single_Space;' # ' '
    - order: m
      executes: '&IDMB_Product__get__Additional_Details;'
    
  - returnAttributeMethodBinding: '&IDMB_Product__get__Calculated_Description;'
    executesMethod: '&IDM_Product__get__Calculated_Description;'